#
# spec file for package petsc (Version 2.0.29)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  atlas blas g77 gpp lapack mpich tcsh
# usedforbuild    aaa_base aaa_dir atlas autoconf automake base bash bindutil binutils bison blas bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd lapack less libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcsh texinfo textutils timezone unzip util-linux vim

Name:         petsc
Version:      2.0.29
Release:      143
Summary:      The Portable, Extensible Toolkit for Scientific Computation
Copyright:  (C) COPYRIGHT 1995 UNIVERSITY OF CHICAGO 
Group:      Development/Libraries/Parallel
Provides:   petsc 
Requires:   mpich g77  blas lapack atlas
Autoreqprov: on
Source:  petsc.tar.bz2
Source1: petsc-patches-%{version}.2.tar.bz2
Patch:   petsc-%{version}.dif
BuildRoot: %{_tmppath}/petsc-root

%description
PETSc is a suite of data structures and routines for the scalable (parallel)
solution of scientific applications modeled by partial differential equations.
This version uses the MPI (mpich) library.

Authors:
--------
    Satish Balay
    William D. Gropp
    Lois Curfman McInnes
    Barry F. Smith <petsc-maint@mcs.anl.gov>

SuSE series: beo

%package manual
Summary:      Documentation and manuals for PETSC
Group: Documentation
 

%description manual
Documentation and manuals for PETSC

Authors:
--------
    Satish Balay
    William D. Gropp
    Lois Curfman McInnes
    Barry F. Smith <petsc-maint@mcs.anl.gov>

SuSE series: beo

%package devel
Summary:      PETSC development files (Libraries and headers)
Group: Development/Libraries
 

%description devel
PETSC development files (Libraries and headers)

Authors:
--------
    Satish Balay
    William D. Gropp
    Lois Curfman McInnes
    Barry F. Smith <petsc-maint@mcs.anl.gov>

SuSE series: beo

%prep
%setup -q -a 1
%patch

%build
PETSC_ARCH=`$RPM_BUILD_DIR/%{name}-%{version}/bin/petscarch`
export PETSC_ARCH
make SLVERSION=%{version} PETSC_DIR=`pwd` BOPT=O all
make SLVERSION=%{version} PETSC_DIR=`pwd` PETSC_ARCH=`./bin/petscarch` BOPT=O build_c build_fortran
make SLVERSION=%{version} PETSC_DIR=`pwd` PETSC_ARCH=`./bin/petscarch` BOPT=g build_c build_fortran

%install
rm -rf $RPM_BUILD_ROOT
PETSC_ARCH=`bin/petscarch`
install -d $RPM_BUILD_ROOT/usr/lib/petsc/bin
cp -p bin/mpirun.lam $RPM_BUILD_ROOT/usr/lib/petsc/bin 
install -d $RPM_BUILD_ROOT/usr/lib/petsc/bmake
cp -p bmake/base_variables.defs $RPM_BUILD_ROOT/usr/lib/petsc/bmake
cp -p bmake/common* $RPM_BUILD_ROOT/usr/lib/petsc/bmake
cp -p bmake/petscconf.defs $RPM_BUILD_ROOT/usr/lib/petsc/bmake
cp -p bmake/readme $RPM_BUILD_ROOT/usr/lib/petsc/bmake
cp -a bmake/$PETSC_ARCH $RPM_BUILD_ROOT/usr/lib/petsc/bmake
install -d $RPM_BUILD_ROOT/usr/lib/petsc/include
( 
mkdir -p $RPM_BUILD_ROOT/usr/include;
cd $RPM_BUILD_ROOT/usr/include;
ln -s ../lib/petsc/include  petsc
)
cp -a include $RPM_BUILD_ROOT/usr/lib/petsc
rm -f $RPM_BUILD_ROOT/usr/lib/petsc/include/makefile
rm -f $RPM_BUILD_ROOT/usr/lib/petsc/include/*/makefile
rm -rf $RPM_BUILD_ROOT/usr/lib/petsc/include/pinclude
(
cd $RPM_BUILD_ROOT/usr/lib/petsc/include && \
ln -s ../bmake/$PETSC_ARCH/*.h .
)
cp -a lib $RPM_BUILD_ROOT/usr/lib/petsc
for LIB in `cd lib/libO/$PETSC_ARCH && ls *.so.*` ; \
   do \
   mv $RPM_BUILD_ROOT/usr/lib/petsc/lib/libO/$PETSC_ARCH/$LIB \
   $RPM_BUILD_ROOT/usr/lib/$LIB ; \
   ln -s ../../../../$LIB \
   $RPM_BUILD_ROOT/usr/lib/petsc/lib/libO/$PETSC_ARCH/$LIB ; \
done                                                                  
mv docs/manual manual
mv docs/manualpages manualpages
install -d %{_defaultdocdir}/petsc

%files
/usr/lib/lib*
/usr/lib/petsc/bin
/usr/lib/petsc/lib/libO/*/*.so.*
%doc docs/* readme.html

%files devel
/usr/lib/petsc/lib/libO/*/*.a
/usr/lib/petsc/lib/libO/*/*.so
/usr/lib/petsc/lib/libg
/usr/lib/petsc/include
/usr/lib/petsc/bmake
/usr/include/petsc

%files manual
%doc manualpages manual

%changelog -n petsc
* Wed Mar 14 2001 - nashif@suse.de
- Compile with BOPT=g enabled
* Sat Nov 18 2000 - nashif@suse.de
- updated to version 2.2.29
- Splitted into devel and manual
- removed easzy from neededforbuild
* Tue May 30 2000 - marquardt@suse.de
- updated to version 2.0.28
* Fri Mar 03 2000 - marquardt@suse.de
- fixed wrong bash call from /usr/local/bin
* Thu Feb 03 2000 - marquardt@suse.de
- fixed a bug in the spec-file (neededforbuild lam -> mpich)
* Wed Jan 05 2000 - marquardt@suse.de
- initial release
